Index: code/trunk/src/tolua/CMakeLists.txt
===================================================================
--- code/trunk/src/tolua/CMakeLists.txt	(revision 1758)
+++ code/trunk/src/tolua/CMakeLists.txt	(revision 1810)
@@ -7,8 +7,8 @@
 )
 
-ADD_LIBRARY (tolualib SHARED ${TOLUALIB_SRC_FILES})
+ADD_LIBRARY (tolualib_orxonox SHARED ${TOLUALIB_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (tolualib
-  ${Lua_LIBRARIES}
+TARGET_LINK_LIBRARIES (tolualib_orxonox
+  lua_orxonox
 )
 
@@ -19,24 +19,19 @@
 )
 
-ADD_EXECUTABLE (toluagen ${TOLUAGEN_SRC_FILES})
+ADD_EXECUTABLE (toluagen_orxonox ${TOLUAGEN_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (toluagen
-  ${Lua_LIBRARIES}
-  tolualib
+TARGET_LINK_LIBRARIES (toluagen_orxonox
+  lua_orxonox
+  tolualib_orxonox
   m
 )
 
 
-IF (Lua_VERSION EQUAL 5.0)
-  SET (TOLUA_PACKAGE "../../src/tolua/tolua-5.0.pkg")
-ELSE (Lua_VERSION EQUAL 5.0)
-  SET (TOLUA_PACKAGE "../../src/tolua/tolua-5.1.pkg")
-ENDIF (Lua_VERSION EQUAL 5.0)
-
-GET_TARGET_PROPERTY(TOLUAGEN_EXE toluagen LOCATION)
+SET (TOLUA_PACKAGE "../../src/tolua/tolua-5.1.pkg")
+GET_TARGET_PROPERTY(TOLUAGEN_EXE toluagen_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/toluabind_orxonox.c
   COMMAND ${TOLUAGEN_EXE} -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ${TOLUA_PACKAGE}
-  DEPENDS toluagen
+  DEPENDS toluagen_orxonox
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/bin/lib
 )
@@ -47,9 +42,9 @@
 )
 
-ADD_EXECUTABLE (tolua ${TOLUAEXE_SRC_FILES})
+ADD_EXECUTABLE (tolua_orxonox ${TOLUAEXE_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (tolua
-  ${Lua_LIBRARIES}
-  tolualib
+TARGET_LINK_LIBRARIES (tolua_orxonox
+  lua_orxonox
+  tolualib_orxonox
   m
 )
Index: code/trunk/src/tolua/lua/package.lua
===================================================================
--- code/trunk/src/tolua/lua/package.lua	(revision 1758)
+++ code/trunk/src/tolua/lua/package.lua	(revision 1810)
@@ -116,5 +116,5 @@
 	output('#endif\n')
 	output('#include "string.h"\n\n')
- output('#include "tolua++.h"\n\n')
+ output('#include "tolua/tolua++.h"\n\n')
 
  if not flags.h then
Index: code/trunk/src/tolua/tolua++.h
===================================================================
--- code/trunk/src/tolua/tolua++.h	(revision 1758)
+++ code/trunk/src/tolua/tolua++.h	(revision 1810)
@@ -65,6 +65,6 @@
 typedef int lua_Object;
 
-#include "lua.h"
-#include "lauxlib.h"
+#include "lua/lua.h"
+#include "lua/lauxlib.h"
 
 struct tolua_Error
Index: code/trunk/src/tolua/tolua-5.0.pkg
===================================================================
--- code/trunk/src/tolua/tolua-5.0.pkg	(revision 1758)
+++ 	(revision )
@@ -1,29 +1,0 @@
-$lfile "../../src/tolua/lua/compat.lua"
-$lfile "../../src/tolua/lua/basic.lua"
-$lfile "../../src/tolua/lua/feature.lua"
-$lfile "../../src/tolua/lua/verbatim.lua"
-$lfile "../../src/tolua/lua/code.lua"
-$lfile "../../src/tolua/lua/typedef.lua"
-$lfile "../../src/tolua/lua/container.lua"
-$lfile "../../src/tolua/lua/package.lua"
-$lfile "../../src/tolua/lua/module.lua"
-$lfile "../../src/tolua/lua/namespace.lua"
-$lfile "../../src/tolua/lua/define.lua"
-$lfile "../../src/tolua/lua/enumerate.lua"
-$lfile "../../src/tolua/lua/declaration.lua"
-$lfile "../../src/tolua/lua/variable.lua"
-$lfile "../../src/tolua/lua/array.lua"
-$lfile "../../src/tolua/lua/function.lua"
-$lfile "../../src/tolua/lua/operator.lua"
-$lfile "../../src/tolua/lua/class.lua"
-$lfile "../../src/tolua/lua/clean.lua"
-$lfile "../../src/tolua/lua/doit.lua"
-
-$[
-local err,msg = pcall(doit)
-if not err then
- local _,_,label,msg = strfind(msg,"(.-:.-:%s*)(.*)")
- tolua_error(msg,label)
- print(debug.traceback())
-end
-$]
Index: code/trunk/src/tolua/tolua.c
===================================================================
--- code/trunk/src/tolua/tolua.c	(revision 1758)
+++ code/trunk/src/tolua/tolua.c	(revision 1810)
@@ -15,7 +15,7 @@
 #include "tolua++.h"
 
-#include "lua.h"
-#include "lualib.h"
-#include "lauxlib.h"
+#include "lua/lua.h"
+#include "lua/lualib.h"
+#include "lua/lauxlib.h"
 
 #include <stdio.h>
Index: code/trunk/src/tolua/tolua_is.c
===================================================================
--- code/trunk/src/tolua/tolua_is.c	(revision 1758)
+++ code/trunk/src/tolua/tolua_is.c	(revision 1810)
@@ -14,5 +14,5 @@
 
 #include "tolua++.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <stdlib.h>
Index: code/trunk/src/tolua/tolua_map.c
===================================================================
--- code/trunk/src/tolua/tolua_map.c	(revision 1758)
+++ code/trunk/src/tolua/tolua_map.c	(revision 1810)
@@ -15,5 +15,5 @@
 #include "tolua++.h"
 #include "tolua_event.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <string.h>
Index: code/trunk/src/tolua/tolua_push.c
===================================================================
--- code/trunk/src/tolua/tolua_push.c	(revision 1758)
+++ code/trunk/src/tolua/tolua_push.c	(revision 1810)
@@ -14,5 +14,5 @@
 
 #include "tolua++.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <stdlib.h>
